.product-detail__additional {
    border-block-start: 1px solid rgba(var(--color-text), 0.08);
    border-block-end: 1px solid rgba(var(--color-text), 0.08);
}

.product-detail__additional+.product-detail__additional {
    margin-block-start: calc(-1 * var(--info-row-gap));
    border-block-start: none;
}

.product-detail__additional .additional__trigger {
    display: flex;
    gap: 15px;
    align-items: center;
    padding: 15px 0;
    padding-inline-end: 15px;
}

.product-detail__additional .additional__title {
    flex: 1 0 0;
}

.product-detail__additional .additional__content {
    padding: 0 5px;
    overflow: hidden;
}

.product-detail__additional .additional__content::after {
    display: block;
    height: 15px;
    content: "";
}

.product-detail__additional .additional__arrow {
    transition: transform 200ms;
}

.product-detail [open] .additional__arrow {
    transform: rotate(180deg);
}

/* 半折叠 */
.additional__content.half-fold {
    max-height: 120px;
    overflow: hidden;
    position: relative;
}

/* 渐变遮罩 */
.additional__content.half-fold::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40px;
    background: linear-gradient(to bottom, transparent, #fff);
}

/* 展开 */
.additional__content.expanded {
    max-height: none;
}

/* 按钮 */
.product-desc-expand {
    margin-top: 10px;
    cursor: pointer;
    font-size: 14px;
    display: inline-flex;
    align-items: center;
    gap: 6px;
    margin: 6px 40px;
    color: #585858;
}

.product-desc-expand .arrow {
    display: inline-block;
    width: 10px;
    height: 10px;
    border-right: 2px solid #585858;
    border-bottom: 2px solid #585858;
    transform: rotate(45deg);
    transition: 0.3s;
}

.product-desc-expand.active .arrow {
    transform: rotate(-135deg);
}

/* PC / Mobile 显示控制 */
.pc-only {
    display: block;
}

.m-only {
    display: none;
}

@media (max-width: 768px) {
    .pc-only {
        display: none;
    }

    .m-only {
        display: block;
    }
}